V1MeTracking
Choose private tracking display choices without changing saved history or sharing
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/me/tracking" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": 0 }'{ "version": 0, "steps": true, "meals": true, "bp": true, "glucose": true, "mood": true, "mealReminders": { "breakfast": { "enabled": true, "minuteOfDay": 0 }, "lunch": { "enabled": true, "minuteOfDay": 0 }, "dinner": { "enabled": true, "minuteOfDay": 0 } }, "overrides": { "bp": true, "glucose": true }, "suggested": { "bp": true, "glucose": true }}Private tracking display choices and suggestions from your pinned setup options GET
Previous Page
Whether browser notifications can be turned on, and this account's browsers GET
enabled is false (and publicKey null) while the server cannot send; the page then hides its opt-in and never prompts. Endpoints and keys are never returned.